Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.layouts
Class VelocityOnlyLayout

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Layout
              org.apache.turbine.modules.layouts.VelocityOnlyLayout

    public class VelocityOnlyLayout

extends Layout

This Layout module allows Velocity templates to be used as layouts. Since dynamic content is supposed to be primarily located in screens and navigations there should be relatively few reasons to subclass this Layout. To get the same functionality as with VelocityECSLayout, you can use two supplied VelocityMacros, TurbineHtmlHead and TurbineHtmlBodyAttributes in your templates. These are used to put HtmlPageAttributes into a page before rendering. Use these macros should be used in the Layout template like this: ... set things like style sheets, scripts here. <html> #TurbineHtmlHead() <body #TurbineHtmlBodyAttributes() > .... your body information </body> </html> As the layout template is rendered _after_ the screen template, you can of course, add information to the $page tool in your screen template. This will be added correctly to the <head>...</head> and <body> tags.

Version:
  $Id: VelocityOnlyLayout.java 1066558 2011-02-02 18:12:40Z ludwig $
Author:
  John D. McNally, Dave Bryson, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Layout
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocityOnlyLayout()` Default constructor

Method Summary
`void` | `doBuild(PipelineData pipelineData)` Build the layout.
`void` | `doBuild(RunData data)` Deprecated. Use PipelineData version

Methods inherited from class org.apache.turbine.modules.Layout
`build, build, getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityOnlyLayout

    public VelocityOnlyLayout()

  Default constructor

Method Detail

### doBuild

    @Deprecated
    public void doBuild(RunData data)
                 throws Exception

  Deprecated. Use PipelineData version

  Build the layout. Also sets the ContentType and Locale headers of the HttpServletResponse object.

  Specified by:
    `doBuild` in class `Layout`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### doBuild

    public void doBuild(PipelineData pipelineData)
                 throws Exception

  Build the layout. Also sets the ContentType and Locale headers of the HttpServletResponse object.

  Overrides:
    `doBuild` in class `Layout`
  Parameters:
    `data` - PipelineData
  Throws:
    `Exception` - generic exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.